### Constructor

# Json Parser new_immutable

since: 1.2

#### Declaration [src]

    JsonParser*
    json_parser_new_immutable (
      void
    )

#### Description [src]

Creates a new parser instance with its `JsonParser:immutable` property set to `TRUE` to create immutable output trees.

Available since: 1.2

#### Return value

Type: `JsonParser`

The newly created parser.

The caller of the function takes ownership of the data, and is responsible for freeing it.